#!/usr/bin/env bash

parted /dev/nvme0n1 -s -- mklabel gpt
parted /dev/nvme0n1 -s -- mkpart ESP fat32 1MiB 512MiB
parted /dev/nvme0n1 -s -- set 1 esp on
parted /dev/nvme0n1 -s -- mkpart primary 512MiB 100%

mkfs.fat -F 32 -n boot /dev/nvme0n1p1
cryptsetup luksFormat /dev/nvme0n1p2
cryptsetup luksOpen /dev/nvme0n1p2 nixos-root
pvcreate /dev/mapper/nixos-root
vgcreate vg /dev/mapper/nixos-root
lvcreate -L 8G -n swap vg
lvcreate -l '100%FREE' -n root vg
mkfs.ext4 -L root /dev/vg/root
mkswap -L swap /dev/vg/swap
swapon /dev/vg/swap

